import java.sql.*;
import java.io.Serializable;

public class Operacion implements Serializable{
  private String codigo;
  private String cantidad;
  private String tipo;
  private Date fecha;
  private String codigoEmpleado;
  private String codigoCaja;
  private String codigoConcepto;
  
  
  public String getCantidad() {
    return cantidad;
  }
  public String getCodigo() {
    return codigo;
  }
  public String getCodigoCaja() {
    return codigoCaja;
  }
  public String getCodigoConcepto() {
    return codigoConcepto;
  }
  public String getCodigoEmpleado() {
    return codigoEmpleado;
  }
  public Date getFecha() {
    return fecha;
  }
  public String getTipo() {
    return tipo;
  }
  public void setTipo(String tipo) {
    this.tipo = tipo;
  }
  public void setFecha(Date fecha) {
    this.fecha = fecha;
  }
  public void setCodigoEmpleado(String codigoEmpleado) {
    this.codigoEmpleado = codigoEmpleado;
  }
  public void setCodigoConcepto(String codigoConcepto) {
    this.codigoConcepto = codigoConcepto;
  }
  public void setCodigoCaja(String codigoCaja) {
    this.codigoCaja = codigoCaja;
  }
  public void setCodigo(String codigo) {
    this.codigo = codigo;
  }
  public void setCantidad(String cantidad) {
    this.cantidad = cantidad;
  }
  public static Operacion load(ResultSet rs)throws SQLException{
  	Operacion operacion = new Operacion();
  	operacion.setCodigo(rs.getString(1));
  	operacion.setCantidad(rs.getString(2));
  	operacion.setTipo(rs.getString(3));
  	operacion.setFecha(rs.getDate(4));
  	operacion.setCodigoEmpleado(rs.getString(5));
  	operacion.setCodigoCaja(rs.getString(6));
  	operacion.setCodigoConcepto(rs.getString(7));
  	
  	return operacion;
  }
  
  public String toString(){
  		StringBuffer sb = new StringBuffer();
  		sb.append(getCodigo());
  		sb.append(",");
  		sb.append(getCantidad());
  		sb.append(",");
  		sb.append(getTipo());
  		sb.append(",");
  		sb.append(getFecha());
  		sb.append(",");
  		sb.append(getCodigoEmpleado());
  		sb.append(",");
  		sb.append(getCodigoCaja());
  		sb.append(",");
  		sb.append(getCodigoConcepto());
  		
  		return sb.toString();  		
  }
}